# Created by pyp2rpm-3.3.3
%global pypi_name afdko

# comment out if not pre release
#global prel	a0

#rel for bumping
%define rel	2

%global antlrver 4.9.3

Name:           python-%{pypi_name}
Version:        3.9.2
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Adobe Font Development Kit for OpenType
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/adobe-type-tools/afdko
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}%{?prel}.tar.gz
Source1:	https://www.antlr.org/download/antlr4-cpp-runtime-%{antlrver}-source.zip
Patch1:         0001-Relax-reqs.patch
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  libxml2-devel
BuildRequires:  libuuid-devel
BuildRequires:  ninja
BuildRequires:  utf8cpp-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(scikit-build)

%description
The AFDKO is a set of tools for building OpenType font files from PostScript and TrueType
font data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	bundled(antlr4-cpp-runtime) = %{antlrver}

%description -n python3-%{pypi_name}
The AFDKO is a set of tools for building OpenType font files from PostScript and TrueType
font data.

%prep
%autosetup -n %{pypi_name}-%{version}%{?prel} -Sgit_am

# use bundled antlr
sed -i -e 's!^#\s\+\(set(ANTLR4_ZIP_REPOSITORY\s\+"\).*\(")\)!\1%{SOURCE1}\2!g' CMakeLists.txt

# more verbose build
sed -i -e '/CMAKE_VERBOSE_MAKEFILE/s/^#\s\+//' CMakeLists.txt

%build
export FORCE_SYSTEM_LIBXML2=1
%set_build_flags
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md
%{_bindir}/buildcff2vf
%{_bindir}/buildmasterotfs
%{_bindir}/charplot
%{_bindir}/checkoutlinesufo
%{_bindir}/comparefamily
%{_bindir}/detype1
%{_bindir}/digiplot
%{_bindir}/fontplot
%{_bindir}/fontplot2
%{_bindir}/fontsetplot
%{_bindir}/hintplot
%{_bindir}/makeinstancesufo
%{_bindir}/makeotf
%{_bindir}/makeotfexe
%{_bindir}/mergefonts
%{_bindir}/otc2otf
%{_bindir}/otf2otc
%{_bindir}/otf2ttf
%{_bindir}/rotatefont
%{_bindir}/sfntdiff
%{_bindir}/sfntedit
%{_bindir}/spot
%{_bindir}/ttxn
%{_bindir}/tx
%{_bindir}/type1
%{_bindir}/ttfcomponentizer
%{_bindir}/ttfdecomponentizer
%{_bindir}/waterfallplot


%changelog
* Fri Dec 29 2023 daviddavid <daviddavid> 3.9.2-2.mga10
+ Revision: 2023947
- rebuild for py3.12

* Sat Jan 14 2023 wally <wally> 3.9.2-1.mga9
+ Revision: 1932991
- new version 3.9.2

* Sun Oct 23 2022 wally <wally> 3.9.1-1.mga9
+ Revision: 1898666
- new version 3.9.1
- build with bundled antlr4-cpp-runtime

* Mon Feb 14 2022 neoclust <neoclust> 3.5.1-5.mga9
+ Revision: 1774369
- Rebuild for python 3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 3.5.1-4.mga9
+ Revision: 1708097
- rebuild for python 3.9

* Thu Nov 05 2020 joequant <joequant> 3.5.1-3.mga8
+ Revision: 1642733
- fix requires

* Tue Nov 03 2020 akien <akien> 3.5.1-2.mga8
+ Revision: 1642100
- rebuild

* Thu Oct 29 2020 joequant <joequant> 3.5.1-1.mga8
+ Revision: 1640485
- update deps
- fix dep
- update deps
- add tqdm
- update to 3.5.1

* Mon Jan 13 2020 wally <wally> 3.2.0-0.a0.1.mga8
+ Revision: 1477844
- imported package python-afdko

